<?php

$paginate ='1';
$title = 'Поиск мультов';
include_once '../protected/sys.php';



if (!$_POST['ip'])
{
	?>
	<div class ='menu'/>
		<center>
			Введите айпи:
			<br/>
		</center>
		<form action ='' method='post'/>
			<input type='text' class ='input' name='ip'/>
			<input type='submit' class='inpit'/>
		</form>
	</div>
	<?php
} elseif (isset($_POST['ip']) && !$ip OR !$_POST['ip'] && isset($ip)) {
	$ip = htmlspecialchars($_POST['ip']);

	echo '<div class =\'menu\'/> Поиск совпадений для ip: '.$ip.'</div>';

	$rows = $db->rows("SELECT `ip` FROM `users` WHERE `ip`=?",
								array($ip));

	if ($rows == 0)
	{
		echo '<div class =\'menu\'/> <span class =\'lose\'/> Совпадений не найдено </span></div>';

	} else {
		$mull = $db->fetchAll("SELECT `id`,`login`,`ip`,`password`,`ua` FROM `users` WHERE `ip`=?",
															array($ip));

		if (is_array($mull))
		{
			foreach ($mull as $mul)
			{
				?>
				<div class ='menu'/>
					User: <a href ='/user?id=<?=$mul['id'];?>'/> <?=$mul['login'];?></a>
					<br/>
					IP: <?=$ip;?>
					<br/>
					UA: <?=$mul['ua'];?>
					<br/>
					PASS: <?=$mul['password'];?>
				</div>
				<?php
			}
		}

		if (isset($_GET['mutAll']))
		{
			$mut = $db->query("UPDATE `users` SET `close`='1' WHERE `ip`=?",
									array($ip));
			$_SESSION['info'] = 'Всех заткнул!';
			header("Location:?r=".time());
			exit;
		}

		if (isset($_GET['blackList']))
		{
			$blL= $db->query("INSERT INTO `blackList` SET `ip`=?",
									array($ip));
			$_SESSION['info'] ='Айпи помещен в черный список';
			header("Location:?r=".time());
			exit;
		}


		?>

		<div class ='menu'/>
			<center>
				Действия:
			</center>
			
			<a href ='?mutAll' style='text-decoration:none;'/>
				Заткнуть всех
			</a>
			<br/>
			<a href ='?blackList' style='text-decoration:none;'/>
				Add IP &amp; UA in blackList
			</a>
		</div>
		<?php
	}
}

include_once '../protected/footermain.php';